Subject: Re: git-svn and u-boot broken.

From: [email-masked] (Randal L. Schwartz)
Date: 13 Oct 2006 12:39:48 -0700

>>>>> "Joakim" == Joakim Tjernlund <[email-masked]> writes:

Joakim> First, I had to change this (from memory) in git-svn:
Joakim>   my $got = SVN::TxDelta::send_stream($fh, @$atd, $self->{pool});
Joakim> to
Joakim>   my $got;
Joakim>   if ( $got ) {
Joakim>     $got = SVN::TxDelta::send_stream($fh, @$atd, $self->{pool});
Joakim>   } else {
Joakim>     $got = $exp
Joakim>   }
Joakim> I am no perl programmer so please change as you se fit.

That doesn't make any sense.  You'll never run the if-true branch there.
The value of $got immediately following "my $got;" is always undef.

-- 
Randal L. Schwartz - Stonehenge Consulting Services, Inc. - +1 503 777 0095
<[email-masked]> <URL:http://www.stonehenge.com/merlyn/>
Perl/Unix/security consulting, Technical writing, Comedy, etc. etc.
See PerlTraining.Stonehenge.com for onsite and open-enrollment Perl training!